bitcain docs
API Reference

Binance Proxy

Binance-compatible API proxy for exchange operations

Get Exchange Info

GET
/api/v1/exchange-info

Query Parameters

quote?|

Quote currency filter (defaults to exchange native)

exchange?string

Exchange: 'binanceus' (Binance US) or 'binance' (Binance Global)

Default"binanceus"

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/exchange-info"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Klines

GET
/api/v1/klines

Query Parameters

symbol*string

Trading symbol (e.g., BTCUSD)

interval?string

Kline interval (e.g., 1m, 5m, 1h, 1d)

Default"1h"
limit?integer

Number of klines

Default100
Range1 <= value <= 1000
exchange?string

Exchange: 'binanceus' (Binance US) or 'binance' (Binance Global)

Default"binanceus"

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/klines?symbol=string"
[
  [
    null
  ]
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Orderbook

GET
/api/v1/orderbook

Query Parameters

symbol*string

Trading symbol (e.g., BTCUSD)

limit?integer

Order book depth

Default20
Range5 <= value <= 100
exchange?string

Exchange: 'binanceus' (Binance US) or 'binance' (Binance Global)

Default"binanceus"

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/orderbook?symbol=string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Ticker

GET
/api/v1/ticker

Query Parameters

symbol?|

Trading symbol (optional)

type?string

Ticker type: 24hr or price

Default"24hr"
exchange?string

Exchange: 'binanceus' (Binance US) or 'binance' (Binance Global)

Default"binanceus"

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/ticker"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Account

GET
/api/v1/account

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://loading/api/v1/account"
{}